summaryrefslogtreecommitdiffstats
path: root/rescue/tree/etc
diff options
context:
space:
mode:
Diffstat (limited to 'rescue/tree/etc')
-rwxr-xr-xrescue/tree/etc/oem41
-rwxr-xr-xrescue/tree/etc/rc.sysinit4
2 files changed, 44 insertions, 1 deletions
diff --git a/rescue/tree/etc/oem b/rescue/tree/etc/oem
new file mode 100755
index 000000000..e95d572e1
--- /dev/null
+++ b/rescue/tree/etc/oem
@@ -0,0 +1,41 @@
+#!/bin/sh
+
+[ "$1" = "-f" ] || { echo "Call it with option -f, but don't fear loosing all your data, this command is dangerous!"; exit 1; }
+
+echo "I'm going to install the oem version on your hard drive"
+echo "!!ALL DATA IS GOING TO BE LOST!!"
+echo
+echo "Press enter to go on"
+
+read
+
+cd /proc/ide
+for i in hd*; do
+ grep -q disk $i/media && hd=/dev/$i
+ grep -q cdrom $i/media && cd=/dev/$i
+done
+
+echo "hd: $hd"
+echo "cdrom: $cd"
+
+mkdir /cdrom ; mount -r -t iso9660 $cd /cdrom
+
+echo "Installing new partition table and bootloader"
+dd if=/etc/part_and_bootloader of=$hd
+
+echo "Asking kernel to take into account this new partition table"
+kernel_read_part $hd
+
+echo "Formatting (ext2) partition"
+mkfs.ext2 ${hd}1
+
+echo "Mounting partition"
+mkdir /hd ; mount -t ext2 ${hd}1 /hd
+
+echo "Copying cdrom on hard drive"
+cp -a /boot /cdrom/boot /cdrom/Mandrake /hd
+rm /hd/Mandrake/mdkinst/usr/bin/runinstall2
+
+echo "Done, oem hard drive ready! Press enter to reboot"
+read
+reboot \ No newline at end of file
diff --git a/rescue/tree/etc/rc.sysinit b/rescue/tree/etc/rc.sysinit
index da7e07a8f..4f81e9e57 100755
--- a/rescue/tree/etc/rc.sysinit
+++ b/rescue/tree/etc/rc.sysinit
@@ -22,8 +22,10 @@ load ide-mod
load ide-probe
load ide-disk
load ide-cd
-load isofs
load af_packet
+load isofs
+
+grep -q oem /proc/cmdline && exec /etc/oem -f
/sbin/ifconfig lo 127.0.0.1 netmask 255.0.0.0
/sbin/route add 127.0.0.1 lo